import CSSettingsV3 from "@/FormTable/CSSettingsV3";
import { IConfirmMessageData } from "@/UI/MessageBox/ConfirmMessage";
import { confirmModalObj } from "@/UI/MessageBox/ConfirmModalContext";
import { StringFormKey } from "@/define/formkey";


/** 訊息框相關 */
export default class CSMessage {
	public static Record: IConfirmMessageData[] = [];

	/** 一個按鈕的訊息框 */
	public static CreateYesMsg(content: string, yesCallback: () => void = null, enterStr: string = null, title: string = null, textAlign: "center" | "left" | "right" = null) {
		enterStr = enterStr ? enterStr : CSSettingsV3.prototype.CommonString(StringFormKey.String.Confirm);
		let data: IConfirmMessageData = {
			title: title,
			content: content,
			isShowCancel: false,
			handleConfirm: yesCallback,
			enterStr: enterStr,
			textAlign: textAlign
		};
		const { openOtherConfirm } = confirmModalObj;
		openOtherConfirm(data);
	}

	/** 兩個按鈕的訊息框 */
	public static CreateYesNoMsg(content: string, yesCallback: () => void = null, noCallback: () => void = null, enterStr: string = null, title: string = null, cancelStr: string = null, textAlign: "center" | "left" | "right" = null) {
		enterStr = enterStr ? enterStr : CSSettingsV3.prototype.CommonString(StringFormKey.String.Confirm);
		cancelStr = cancelStr ? cancelStr : CSSettingsV3.prototype.CommonString(StringFormKey.String.Cancel);
		let data: IConfirmMessageData = {
			title: title,
			content: content,
			isShowCancel: true,
			handleConfirm: yesCallback,
			handleCancel: noCallback,
			enterStr: enterStr,
			cancelStr: cancelStr,
			textAlign: textAlign
		};
		const { openOtherConfirm } = confirmModalObj;
		openOtherConfirm(data);
	}

	/** 網路錯誤訊息 */
	public static NetError(method: string, state: number, str: string = ""): void {
		let error = String.Format("[{0}] state:{1} {2}", method, state, str);
		console.debug("網路錯誤訊息: ", error);
	}
}